# Class CIM_J2eeResourceAdapterInModule
extends CIM_ServiceComponent

CIM_J2eeResourceAdapterInModule is an aggregation of the resource adapters contained within a deployed RAR Module.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ServiceComponent
|
+--CIM_J2eeResourceAdapterInModule

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | CIM_J2eeResourceAdapterInModule is an aggregation of the resource adapters contained within a deployed RAR Module.
UMLPackagePath | string | CIM::Application::J2eeAppServer
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_J2eeResourceAdapterInModule | CIM_J2eeResourceAdapterModule
PartComponent | CIM_J2eeResourceAdapterInModule | CIM_J2eeResourceAdapter

## Class Methods